Get Jobs
/unified/ats/jobs/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The ID of the organization to filter the jobs by.
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The job's unique identifier
24 supported
The date and time of the job's closing
6 supported
The job's code
10 supported
16 supported
The job's compensation currency
The job's compensation unique identifier
The job's compensation interval. If no clear mapping exists, then raw value is returned.
yearlymonthlyweeklydailyhourlyone_timesemi_monthlybi_monthlybi_weekly
Whether the job's compensation is negotiable or not
The job's maximum compensation
The job's minimum compensation
The job's compensation notes
Whether the job is confidential or not
12 supported
The date and time of the job's creation
20 supported
The job's department
20 supported
Unique identifier of the department
The department's name
The job's description
23 supported
The job's hiring managers
13 supported
Unique identifier of the user
The user's name
Whether the job is remote or not
16 supported
The job's position level.
6 supported
The job's job posting urls
13 supported
The job posting URL's type
The job posting URL
The job's type.
full_timepart_timecontractinternshiptemporaryvolunteerper_diem
19 supported
The job's locations
17 supported
The job's name
24 supported
The job's office
5 supported
Unique identifier of the office
The office's name
The date and time of the job's opening
9 supported
The job's recruiters
13 supported
Unique identifier of the user
The user's name
Raw data returned from the remote API call.
The job's requisition_id
6 supported
The job's status
opencloseddraftpendingarchived
23 supported
The job's tags
8 supported
2 supported
The date and time of the job's last update
16 supported
curl -X GET 'https://api.truto.one/unified/ats/jobs/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ats/jobs/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ats/jobs/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ats',
'jobs',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ats",
"jobs",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())